import { axisBottom, timeYear } from 'd3';

export const xAxis = (
  svg,
  { height, marginBottom, xScale },
) => {
  const [min, max] = xScale.range();
  const xDomain = xScale.domain();
  const minYear = xDomain[0].getFullYear();
  const maxYear = xDomain[1].getFullYear();
  const yearSpan = maxYear - minYear;

  const tickDensity = Math.floor((max - min) / yearSpan);

  const tickFormat = timeYear.every(1);

  svg
    .selectAll('g.x-axis')
    .data([null])
    .join('g')
    .attr('class', 'x-axis')
    .attr(
      'transform',
      `translate(0,${height - marginBottom})`,
    )
    .call(
      axisBottom(xScale)
        .ticks(tickFormat)
        .tickFormat((d) => d.getFullYear()),
    );
};
